Relax upper bound on `base` to allow base-4.9
authorHerbert Valerio Riedel <hvr@gnu.org>
Sat, 31 Oct 2015 10:51:05 +0000 (11:51 +0100)
committerHerbert Valerio Riedel <hvr@gnu.org>
Sat, 31 Oct 2015 10:51:05 +0000 (11:51 +0100)
GHC 8.0 is going to ship with base-4.9.0.0

hoopl.cabal

index 8a549f8..732d8c2 100644 (file)
@@ -45,7 +45,7 @@ Library
     Other-Extensions: Safe Trustworthy
 
   Hs-Source-Dirs:    src
-  Build-Depends:     base >= 4.3 && < 4.9, containers >= 0.4 && < 0.6
+  Build-Depends:     base >= 4.3 && < 4.10, containers >= 0.4 && < 0.6
   Exposed-Modules:   Compiler.Hoopl,
                      Compiler.Hoopl.Internals,
                      Compiler.Hoopl.Wrappers,
@@ -78,7 +78,7 @@ Test-Suite hoopl-test
   Type:              exitcode-stdio-1.0
   Main-Is:           Main.hs
   Hs-Source-Dirs:    testing src
-  Build-Depends:     base >= 4.3 && < 4.9
+  Build-Depends:     base >= 4.3 && < 4.10
                      containers >= 0.4 && < 0.6,
                      filepath,
                      mtl >= 2.1.3.1,